> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.sevalla.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get static site deployment

> Retrieve deployment details for a specific static site deployment.



## OpenAPI

````yaml https://api.sevalla.com/v2/openapi.json get /static-sites/deployments/{id}
openapi: 3.1.0
info:
  title: Sevalla API docs
  version: 1.0.0
servers:
  - url: https://api.sevalla.com/v2
security:
  - bearerAuth: []
paths:
  /static-sites/deployments/{id}:
    get:
      tags:
        - Static Site Deployments
      summary: Get static site deployment
      description: Retrieve deployment details for a specific static site deployment.
      operationId: getStaticSiteDeploymentV2
      parameters:
        - schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            example: fb5e5168-4281-4bec-94c5-0d1584e9e657
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  deployment:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        description: Unique identifier for the deployment
                        example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                      static_site_id:
                        anyOf:
                          - type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            description: Static site ID for the deployment
                            example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                          - type: 'null'
                      status:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Deployment status
                        example: success
                      repo_url:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Repository URL
                        example: https://github.com/user/static-site
                      branch:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Git branch of the deployment
                        example: main
                      author_login:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Author login
                        example: johndoe
                      author_img:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Author avatar image URL
                        example: https://avatars.githubusercontent.com/u/12345
                      commit_sha:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Commit SHA
                        example: a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2
                      commit_message:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Commit message
                        example: 'feat: add new feature'
                      cloud_build_id:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Cloud build identifier
                        example: build-12345
                      created_at:
                        type: number
                        description: Creation timestamp in milliseconds
                        example: 1738195200000
                      updated_at:
                        type: number
                        description: Last updated timestamp in milliseconds
                        example: 1738195200000
                      finished_at:
                        anyOf:
                          - type: number
                          - type: 'null'
                        description: Completion timestamp in milliseconds
                        example: 1738195500000
                      started_at:
                        anyOf:
                          - type: number
                          - type: 'null'
                        description: Start timestamp in milliseconds
                        example: 1738195200000
                    required:
                      - id
                      - static_site_id
                      - status
                      - repo_url
                      - branch
                      - author_login
                      - author_img
                      - commit_sha
                      - commit_message
                      - cloud_build_id
                      - created_at
                      - updated_at
                      - finished_at
                      - started_at
                    additionalProperties: false
                required:
                  - deployment
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authentication. Pass your API key as a Bearer token in the
        Authorization header.

````